Categories

See More
Popular Forum

MBA (4887) B.Tech (1769) Engineering (1486) Class 12 (1030) Study Abroad (1004) Computer Science and Engineering (988) Business Management Studies (865) BBA (846) Diploma (746) CAT (651) B.Com (648) B.Sc (643) JEE Mains (618) Mechanical Engineering (574) Exam (525) India (462) Career (452) All Time Q&A (439) Mass Communication (427) BCA (417) Science (384) Computers & IT (Non-Engg) (383) Medicine & Health Sciences (381) Hotel Management (373) Civil Engineering (353) MCA (349) Tuteehub Top Questions (348) Distance (340) Colleges in India (334)
See More

Encode video using ffmpeg and vp8 codec on Native Client

General Tech Bugs & Fixes
Max. 2000 characters
Replies

usr_profile.png
Priyanka Chadda

User

( 7 months ago )

 

 

I'm trying to develop a video encoder using Native Client. I want the output file to be .webm and I'm using ffmpeg example "muxing.c".

When I run the example I get the error message: Could not find encoder for 'vp8'

The error comes from here:

*codec = avcodec_find_encoder(codec_id);
if (!(*codec)) {
    fprintf(stderr, "Could not find encoder for '%s'\n",
            avcodec_get_name(codec_id));
}

Where codec_id value is AV_CODEC_ID_VP8

When I put the output file to be .mp4 it works.

Can someone help me. Do I need to enable vp8 encoder for ffmpeg naclport? What should I do?

Thanks!!

UPDATE

@Lee Gi Gone:

Yes. you must need to compile ffmpeg with libvpx library to encode vp8/vp9. you can install it via yum, apt. or you can compile it manually.

Once libvpx is installed, install ffmpeg with libvpx in following command :

./configure --enable-libvpx 
make -j 4
make install

I put the dependency for libvpx on build.sh and pkg_info on ffmpeg naclport and built it again. Now it works!

usr_profile.png
Imran Malik

User

( 7 months ago )

Yes. you must need to compile ffmpeg with libvpx library to encode vp8/vp9. you can install it via yum, apt. or you can compile it manually.

Once libvpx is installed, install ffmpeg with libvpx in following command :

./configure --enable-libvpx
make -j 4
make install

what's your interest


forum_ban8_5d8c5fd7cf6f7.gif